unit CreateDevice;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TCreateDeviceDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    NameEdit: TEdit;
    Label2: TLabel;
    MajorEdit: TEdit;
    Label3: TLabel;
    MinorEdit: TEdit;
    DeviceType: TRadioGroup;
    procedure NameEditChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CreateDeviceDlg: TCreateDeviceDlg;

implementation

{$R *.DFM}

procedure TCreateDeviceDlg.NameEditChange(Sender: TObject);
begin
   if Length(NameEdit.Text) > 0 then
   begin
      OKBtn.Enabled := True;
   end
   else
   begin
      OKBtn.Enabled := False;
   end;
end;

end.
